Subject: Re: [PATCH v5 18/18] tree-entry.h API: rename tree_entry_extract() to tree_entry_extract_mode()

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 Apr 2021 13:49:52 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> As with the recent split of the get_tree_entry() function, rename the
> tree_entry_extract() function to *_mode() in preparation for adding
> other variants of it.

I do not see a value in this approach over optionally accepting
NULL, for the same reason why splitting get_tree_entry() does not
show a value over optionally accepting NULL.  At least at this point
in the series.

There might be future changes that would benefit from having
separate functions, but I do not see how they cannot work with an
updated version of existing helper functions that optionally can
take NULL as "don't care" when they can with a different function
with one fewer parameter.